| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::device::detail::RandomUniformFunc< Element > Struct Template Reference

Computes a random Gaussian distribution. More...

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::device::detail::RandomUniformFunc< Element >:
[legend]

## Classes
struct | Params
| Parameters structure. More...

## Public Types
using | FloatType = typename std::conditional< (sizeof(Element) > 4), double, float >::type
using | IntType = typename std::conditional< (sizeof(Element) > 4), int64_t, int >::type

## Public Member Functions
CUTLASS_DEVICE | RandomUniformFunc (Params const &params)
| Device-side initialization of RNG. More...
CUTLASS_DEVICE Element | operator() ()
| Compute random value and update RNG state. More...

## Public Attributes
Params | params
| Parameters object. More...
curandState_t | rng_state
| RNG state object. More...

## Detailed Description

### template<typename Element>
struct cutlass::reference::device::detail::RandomUniformFunc< Element >

< Layout function

## Member Typedef Documentation

template<typename Element >

using cutlass::reference::device::detail::RandomUniformFunc< Element >::FloatType = typename std::conditional< (sizeof(Element) > 4), double, float>::type

template<typename Element >

using cutlass::reference::device::detail::RandomUniformFunc< Element >::IntType = typename std::conditional< (sizeof(Element) > 4), int64_t, int>::type

## Constructor & Destructor Documentation

template<typename Element >

CUTLASS_DEVICE cutlass::reference::device::detail::RandomUniformFunc< Element >::RandomUniformFunc | ( | Params const & | params | ) |
| inline

## Member Function Documentation

template<typename Element >

CUTLASS_DEVICE Element cutlass::reference::device::detail::RandomUniformFunc< Element >::operator() | ( |  | ) |
| inline

## Member Data Documentation

template<typename Element >

Params cutlass::reference::device::detail::RandomUniformFunc< Element >::params

template<typename Element >

curandState_t cutlass::reference::device::detail::RandomUniformFunc< Element >::rng_state

The documentation for this struct was generated from the following file:

- device/tensor_fill.h